API Reference
Get a dashboard template
GET
/api/dashboard-templates/{id}
Get a dashboard template
Operation IDgetDashboardTemplate
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Success response body
200Dashboard template with parsed definition
Dashboard template with parsed definition
Content typeapplication/json
responseobject10 properties
idintegerjob_template_idintegernamestringdescriptionstring | nullyaml_contentstringstatusstringcreated_atstring · date-timeupdated_atstring | null · date-timelinked_dashboard_countintegerdashboardobjectParsed dashboard definition from yaml_content
Error responses
404Resource not found
Resource not found
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "NOT_FOUND",
"message": "Resource not found"
}